=== debian/changelog ===
a2gs (1.0-4.1) unstable; urgency=medium

  * Updated to Standards Version 2.1.1.0
  * Applied patches for m68k builds (Bug#3848)
  * Changed postinst prompts (Bug#3456)
  * Built for ELF (Bug#4569)

 -- Jon Rabone <jkr@debian.org>  Mon, 27 Jan 1997 20:35:50 +0000

Sat Sep 23 15:40:24 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* Released Revision 4 of a2gs-1.0
	
	* debian.postinst: Only ask for papersize if there is no
 	/etc/papersize file.

	* debian.rules (binary): Don't install the papersize file or
 	manual page anymore.  Don't have confiles anymore.  Append
	this ChangeLog file to the copyright file.

	* debian.control (Optional): Replaced gs_both, etc with the
 	postscript-previwer virtual package.  Added longer description.

Fri Aug 18 16:54:57 1995  Kenneth MacDonald <K.MacDonald@ed.ac.uk>

	* Built Debian release 3 of a2gs-1.0

Fri Aug 18 16:47:57 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* a2gs.1:
	Corrected '.B' errors.

	* debian.postinst:
	Don't make /etc/papersize.old anymore - dpkg handles conffiles.
	
Tue Feb 21 23:26:42 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* debian.postinst:
	Shell script to select/update "/etc/papersize".

Sat Feb 11 20:06:14 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* a2gs.1:
	Added sections on paper size, files and environment. Corrected spelling errors and added my name to the references.

	* a2gs.c:
	Added support for /etc/papersize and the PAPERSIZE environment variable. Now displays warning on stderr when unrecognised paper size is found.

	* a2gs.h: Changed DEFAULT_MEDIA to "a4"

	* Makefile, a2gs.1, a2gs.c, a2gs.h, getallopt.c, getallopt.h:
	Initial revision

Tue Feb	7 23:06:29 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	 * debian.* (a2gs-1.0-1): Added support for dpkg to make initial
	                          release.
