=== debian/control ===
Source: a2gs
Section: text
Priority: optional
Maintainer: Kenneth MacDonald <K.MacDonald@ed.ac.uk>
Standards-Version: 2.1.1.0

Package: a2gs
Architecture: any
Depends: ${shlibs:Depends}
Optional: postscript-viewer
Description: ASCII to PostScript filter
 a2gs formats plain ASCII text into PostScript, suitable
 for printing or viewing with ghostscript.  Pages can be
 rotated to landscape and multiple columns generated.
