=== debian/rules ===
#!/usr/bin/make -f
# a2gs debian/rules file modified by Jon Rabone (jkr@debian.org) 

# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=a2gs

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -Wall" LDFLAGS=
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i mrproper
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/bin
	cp debian/postinst debian/tmp/DEBIAN/.
	chmod +x debian/tmp/DEBIAN/postinst
	install -c -s a2gs debian/tmp/usr/bin/a2gs
#	gzip -9v debian/tmp/usr/info/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
#	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
	cp a2gs.1 debian/tmp/usr/man/man1
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	dpkg-shlibdeps a2gs
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
